// Author:	Shawn Riggins
// Date:		3/23/98
// Name:		html2cpp.cpp
// Desc:		Converts HTML files to .CPP files suitable for CGI output.
// Example:	C:\> html2cpp < infile.htm > outfile.cpp


#include <iostream.h>
#include <string.h>

const int MAX_LEN = 1000;  // Maximum size of line to read in from file.

//-----------------------------------------------------------------------------

void main()
{
     int iLineLen;
	char szLineIn[MAX_LEN];
     char szHTML[1];
     char szTemp[3];

  	cin.getline (szLineIn, MAX_LEN);
	while(!cin.eof())
     {
     	iLineLen = strlen(szLineIn);

		strcpy(szHTML, "");
          strcat(szHTML, "cout << \"");

          for(int i = 0; i < iLineLen; i++)
          {
          	strcpy(szTemp, "");

			switch(szLineIn[i])
               {
               	case '"' :
					szTemp[0] = '\\';
					szTemp[1] = '\"';
					szTemp[2] = NULL;
					strcat(szHTML, szTemp);
                         break;
                    case '\\' :
					szTemp[0] = '\\';
					szTemp[1] = '\\';
					szTemp[2] = NULL;
					strcat(szHTML, szTemp);
					break;
                    default :
               		szTemp[0] = szLineIn[i];
          	          szTemp[1] = NULL;
     	          	strcat(szHTML, szTemp);
	                    break;
               }
          }

		strcat(szHTML, "\" << endl;");

          cout << szHTML << endl;

		cin.getline (szLineIn, MAX_LEN);
     }

} // end main()




